(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('drag-drop-file', ['exports', '@angular/core'], factory) :
    (factory((global['drag-drop-file'] = {}),global.ng.core));
}(this, (function (exports,i0) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DragDropFileService = /** @class */ (function () {
        function DragDropFileService() {
        }
        DragDropFileService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        DragDropFileService.ctorParameters = function () { return []; };
        /** @nocollapse */ DragDropFileService.ngInjectableDef = i0.defineInjectable({ factory: function DragDropFileService_Factory() { return new DragDropFileService(); }, token: DragDropFileService, providedIn: "root" });
        return DragDropFileService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DragDropFileComponent = /** @class */ (function () {
        function DragDropFileComponent() {
            this.filesDropped = new i0.EventEmitter();
            this.filesHovered = new i0.EventEmitter();
            this.lable = 'Add file';
        }
        /**
         * @return {?}
         */
        DragDropFileComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} $event
         * @return {?}
         */
        DragDropFileComponent.prototype.onDrop = /**
         * @param {?} $event
         * @return {?}
         */
            function ($event) {
                $event.preventDefault();
                /** @type {?} */
                var transfer = $event.dataTransfer;
                this.filesDropped.emit(transfer.files);
            };
        /**
         * @param {?} $event
         * @return {?}
         */
        DragDropFileComponent.prototype.onDragOver = /**
         * @param {?} $event
         * @return {?}
         */
            function ($event) {
                event.preventDefault();
                this.filesHovered.emit(true);
            };
        /**
         * @param {?} $event
         * @return {?}
         */
        DragDropFileComponent.prototype.onDragLeave = /**
         * @param {?} $event
         * @return {?}
         */
            function ($event) {
                this.filesHovered.emit(false);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        DragDropFileComponent.prototype.mideaSelect = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.filesDropped.emit(event.target.files);
            };
        DragDropFileComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'lib-drag-drop-file',
                        template: "\n  <label class=\"mmsg-file-placeholder\" for=\"upload-files\"  style=\"width: 400px;\">\n    <input (change)=\"mideaSelect($event)\" multiple=\"true\" type=\"file\" class=\"hideuploadfile\" id=\"upload-files\">\n    <p>{{lable}}</p>\n</label>\n  ",
                        styles: [".mmsg-file-placeholder{border:2px dashed #dbdbdb;border-radius:4px;padding:20px;text-align:center;width:100%;display:inline-block}.mmsg-file-placeholder p{color:#8c8c8c;margin:0 auto;font-size:13px;line-height:16px;text-transform:none}.mmsg-file-placeholder p img{margin:0 10px 0 auto;padding:0;display:inline-block;vertical-align:middle}.mmsg-file-placeholder .hideuploadfile{position:absolute;width:0;height:0;opacity:0;visibility:hidden;pointer-events:none}"]
                    }] }
        ];
        /** @nocollapse */
        DragDropFileComponent.ctorParameters = function () { return []; };
        DragDropFileComponent.propDecorators = {
            filesDropped: [{ type: i0.Output }],
            filesHovered: [{ type: i0.Output }],
            lable: [{ type: i0.Input }],
            onDrop: [{ type: i0.HostListener, args: ['drop', ['$event'],] }],
            onDragOver: [{ type: i0.HostListener, args: ['dragover', ['$event'],] }],
            onDragLeave: [{ type: i0.HostListener, args: ['dragleave', ['$event'],] }]
        };
        return DragDropFileComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DragDropFileModule = /** @class */ (function () {
        function DragDropFileModule() {
        }
        DragDropFileModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DragDropFileComponent],
                        imports: [],
                        exports: [DragDropFileComponent]
                    },] }
        ];
        return DragDropFileModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.DragDropFileService = DragDropFileService;
    exports.DragDropFileComponent = DragDropFileComponent;
    exports.DragDropFileModule = DragDropFileModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=drag-drop-file.umd.js.map