import { Injectable, Component, HostListener, Output, EventEmitter, Input, NgModule, defineInjectable } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DragDropFileService = /** @class */ (function () {
    function DragDropFileService() {
    }
    DragDropFileService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    DragDropFileService.ctorParameters = function () { return []; };
    /** @nocollapse */ DragDropFileService.ngInjectableDef = defineInjectable({ factory: function DragDropFileService_Factory() { return new DragDropFileService(); }, token: DragDropFileService, providedIn: "root" });
    return DragDropFileService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DragDropFileComponent = /** @class */ (function () {
    function DragDropFileComponent() {
        this.filesDropped = new EventEmitter();
        this.filesHovered = new EventEmitter();
        this.lable = 'Add file';
    }
    /**
     * @return {?}
     */
    DragDropFileComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} $event
     * @return {?}
     */
    DragDropFileComponent.prototype.onDrop = /**
     * @param {?} $event
     * @return {?}
     */
    function ($event) {
        $event.preventDefault();
        /** @type {?} */
        var transfer = $event.dataTransfer;
        this.filesDropped.emit(transfer.files);
    };
    /**
     * @param {?} $event
     * @return {?}
     */
    DragDropFileComponent.prototype.onDragOver = /**
     * @param {?} $event
     * @return {?}
     */
    function ($event) {
        event.preventDefault();
        this.filesHovered.emit(true);
    };
    /**
     * @param {?} $event
     * @return {?}
     */
    DragDropFileComponent.prototype.onDragLeave = /**
     * @param {?} $event
     * @return {?}
     */
    function ($event) {
        this.filesHovered.emit(false);
    };
    /**
     * @param {?} event
     * @return {?}
     */
    DragDropFileComponent.prototype.mideaSelect = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        this.filesDropped.emit(event.target.files);
    };
    DragDropFileComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-drag-drop-file',
                    template: "\n  <label class=\"mmsg-file-placeholder\" for=\"upload-files\"  style=\"width: 400px;\">\n    <input (change)=\"mideaSelect($event)\" multiple=\"true\" type=\"file\" class=\"hideuploadfile\" id=\"upload-files\">\n    <p>{{lable}}</p>\n</label>\n  ",
                    styles: [".mmsg-file-placeholder{border:2px dashed #dbdbdb;border-radius:4px;padding:20px;text-align:center;width:100%;display:inline-block}.mmsg-file-placeholder p{color:#8c8c8c;margin:0 auto;font-size:13px;line-height:16px;text-transform:none}.mmsg-file-placeholder p img{margin:0 10px 0 auto;padding:0;display:inline-block;vertical-align:middle}.mmsg-file-placeholder .hideuploadfile{position:absolute;width:0;height:0;opacity:0;visibility:hidden;pointer-events:none}"]
                }] }
    ];
    /** @nocollapse */
    DragDropFileComponent.ctorParameters = function () { return []; };
    DragDropFileComponent.propDecorators = {
        filesDropped: [{ type: Output }],
        filesHovered: [{ type: Output }],
        lable: [{ type: Input }],
        onDrop: [{ type: HostListener, args: ['drop', ['$event'],] }],
        onDragOver: [{ type: HostListener, args: ['dragover', ['$event'],] }],
        onDragLeave: [{ type: HostListener, args: ['dragleave', ['$event'],] }]
    };
    return DragDropFileComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DragDropFileModule = /** @class */ (function () {
    function DragDropFileModule() {
    }
    DragDropFileModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [DragDropFileComponent],
                    imports: [],
                    exports: [DragDropFileComponent]
                },] }
    ];
    return DragDropFileModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { DragDropFileService, DragDropFileComponent, DragDropFileModule };

//# sourceMappingURL=drag-drop-file.js.map